Switch user accounts Run in API Explorer
Ask AI
POST
/api/v1/me/switch-account
curl \
--request POST 'https://api.plannrcrm.com/api/v1/me/switch-account' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"account_uuid":"76885f2a-4193-439b-9438-d7044c8b947f","mobile_account_uuid":"4291887a-7794-4b5b-b361-5df1c9061f58"}'
Request examples
{
"account_uuid": "76885f2a-4193-439b-9438-d7044c8b947f",
"mobile_account_uuid": "4291887a-7794-4b5b-b361-5df1c9061f58"
}
Response examples (200)
{
"uuid": "1bbc2127-5646-4367-8c0a-83802d74221a",
"created_at": "2026-05-19T18:31:16+01:00",
"updated_at": "2026-05-19T18:31:16+01:00",
"type": "standard",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"current_account": {
"uuid": "29cd625b-7205-4480-835b-cdb013151c02",
"created_at": "2026-05-19T18:31:16+01:00",
"updated_at": "2026-05-19T18:31:16+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": "App\\Http\\Resources\\FirmResource",
"primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
"primary_email": "App\\Http\\Resources\\ContactDetailResource",
"current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
"assigned_adviser": "App\\Http\\Resources\\AccountResource",
"assigned_administrator": "App\\Http\\Resources\\AccountResource",
"assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
"introduced_by": "App\\Http\\Resources\\AccountResource",
"business_unit": "App\\Http\\Resources\\BusinessUnitResource",
"groups": "App\\Http\\Resources\\GroupResource",
"tags": "App\\Http\\Resources\\TagResource",
"owners": "App\\Http\\Resources\\AccountResource",
"first_contact_date": "2026-05-19T18:31:16+01:00",
"next_review_date": "2026-05-19T18:31:16+01:00",
"previous_review_date": "2026-05-19T18:31:16+01:00",
"anniversary_review_date": "2026-05-19T18:31:16+01:00",
"terms_of_business_at": "2026-05-19T18:31:16+01:00",
"client_agreement_at": "2026-05-19T18:31:16+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": "App\\Http\\Resources\\CircleResource",
"circles": "App\\Http\\Resources\\CircleResource",
"ownership_percentage": 100,
"inactive_at": "2026-05-19",
"last_interaction_at": "2026-05-19 18:31:16",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource"
},
"current_login": {
"uuid": "08b3c702-cee0-4665-b66a-2b92d5f1ce45",
"created_at": "2026-05-19T18:31:16+01:00",
"updated_at": "2026-05-19T18:31:16+01:00",
"expires_at": "2026-08-27T18:31:16+01:00",
"has_write_permission": false,
"has_delete_permission": false,
"primary": false,
"receives_unread_notifications_email": true,
"wealth_enabled": true,
"goals_enabled": true,
"factfind_enabled": true,
"tasks_enabled": true,
"welcome_enabled": true,
"first_name": "Gareth",
"last_name": "Thompson",
"email": "gareth@plannrcrm.com",
"user_type": "standard",
"account": "App\\Http\\Resources\\AccountResource",
"firm": "App\\Http\\Resources\\FirmResource",
"is_impersonated": false
},
"two_factor_enabled": true,
"two_factor_type": "sms",
"otp_confirmed_at": "2026-05-19T18:31:16+01:00",
"otp_pending": false,
"sms_two_factor_enabled": true,
"two_factor_mobile": true,
"two_factor_mobile_meta": {
"country": "GB",
"formatted": "0333 090 3630"
},
"current_time_entry": {
"uuid": "c8c4543a-5dba-40ff-b560-f6a4fc35fe38",
"created_at": "2026-05-19T18:31:16+01:00",
"updated_at": "2026-05-19T18:31:16+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"trackable": "App\\Http\\Resources\\MinimalAccountResource",
"start_date": "2026-05-19T17:41:16+01:00",
"end_date": "2026-05-19T18:09:16+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680,
"account": "App\\Http\\Resources\\MinimalAccountResource"
},
"session_expires_at": "2026-05-19T18:31:16+01:00",
"remember_token_expires_at": true,
"should_auto_save_notes": true
}